﻿EnableExplicit

#LZMA_PROPS_SIZE = 5

#LZMA_OK = 0

#LZMA_ERROR_DATA        = 1
#LZMA_ERROR_MEM         = 2
#LZMA_ERROR_CRC         = 3
#LZMA_ERROR_UNSUPPORTED = 4
#LZMA_ERROR_PARAM       = 5
#LZMA_ERROR_INPUT_EOF   = 6
#LZMA_ERROR_OUTPUT_EOF  = 7
#LZMA_ERROR_READ        = 8
#LZMA_ERROR_WRITE       = 9
#LZMA_ERROR_PROGRESS    = 10
#LZMA_ERROR_FAIL        = 11
#LZMA_ERROR_THREAD      = 12

#LZMA_DICT_4K   = 12
#LZMA_DICT_8K   = 13
#LZMA_DICT_16K  = 14
#LZMA_DICT_32K  = 15
#LZMA_DICT_64K  = 16
#LZMA_DICT_128K = 17
#LZMA_DICT_256K = 18
#LZMA_DICT_512K = 19
#LZMA_DICT_1M   = 20
#LZMA_DICT_2M   = 21
#LZMA_DICT_4M   = 22
#LZMA_DICT_8M   = 23
#LZMA_DICT_16M  = 24
#LZMA_DICT_32M  = 25
#LZMA_DICT_64M  = 26
#LZMA_DICT_128M = 27
#LZMA_DICT_256M = 28

Structure T_LZMA_HEADER
 Props.b        ; Special LZMA properties (lc,lp, pb in encoded form)
 DictSize.l     ; Dictionary size (little endian)
 SourceSize.q   ; Uncompressed size (little endian)
EndStructure

CompilerIf (#PB_Compiler_Processor = #PB_Processor_x86)
 Import "B:\Projekte\PB Projekte\Thorium Game Image\TSI Include\v0.5\LZMA32.lib"
    LzmaCompress (*DestBuff, *iDestSize, *SourceBuff, iSourceSize, *OutProps, *iOutPropsSize, iCompressionLevel, iDictSize, Lc, Lp, Pb, Fb, iNumThreads) 
    LzmaUncompress (*DestBuff, *iDestSize, *SourceBuff, *iSourceSize, *Props, iPropsSize)
 EndImport
CompilerElse   
 Import "B:\Projekte\PB Projekte\Thorium Game Image\TSI Include\v0.5\LZMA64.lib"
    LzmaCompress (*DestBuff, *iDestSize, *SourceBuff, iSourceSize, *OutProps, *iOutPropsSize, iCompressionLevel, iDictSize, Lc, Lp, Pb, Fb, iNumThreads)
    LzmaUncompress (*DestBuff, *iDestSize, *SourceBuff, *iSourceSize, *Props, iPropsSize)    
 EndImport 
CompilerEndIf

; IDE Options = PureBasic 4.60 (Windows - x86)
; CursorPosition = 36
; FirstLine = 14
; EnableXP
; EnableUser
; CPU = 1